Status: Resolved Priority: Must have
Author: Adrian Föder Category: Validation
Created: 2013-09-26 Assigned To: Adrian Föder
Updated: 2014-07-11 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git 2.0
Subject: Uuid validator doesn't have string boundaries
Description

\TYPO3\Flow\Validation\Validator\UuidValidator::$PATTERN_MATCH_UUID is
'/([a-f0-9]){8}-([a-f0-9]){4}-([a-f0-9]){4}-([a-f0-9]){4}-([a-f0-9]){12}/' and therefore a UUID like
9e6e8e93-36b7-4158-9893-257632bc7a37sdsdflkjsdflkj is considered valid, incorrectly ofc

Associated revisions
Revision 52b18622 - 2013-09-26 18:42 - Adrian Föder

[BUGFIX] UUID Validator rejects too long UUIDs

Now the validation regex has start- and end of string
boundaries, hence rejecting strings which only
contain a valid UUID, but having extraordinary strings
before or behind.

Change-Id: Ic912e903abd34c3319d64a6187d03d9a62c08679
Releases: master, 2.0
Fixes: #52311

Revision 0b91dd2c - 2013-10-21 15:49 - Adrian Föder

[BUGFIX] UUID Validator rejects too long UUIDs

Now the validation regex has start- and end of string
boundaries, hence rejecting strings which only
contain a valid UUID, but having extraordinary strings
before or behind.

Change-Id: Ic912e903abd34c3319d64a6187d03d9a62c08679
Releases: master, 2.0
Fixes: #52311

History
#1 - 2013-09-26 18:43 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24076

#2 - 2013-10-21 15:49 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/24926

#3 - 2014-07-11 20:19 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:52b186222419828dd5a888b700cca609a0cec32d.
